WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.calendar.cities
Class DefaultBusinessCalendar

    java.lang.Object
      |
      +--webcab.lib.calendar.AbstractBusinessCalendar
            |
            +--webcab.lib.calendar.cities.DefaultBusinessCalendar

All Implemented Interfaces:
  BusinessCalendar, Serializable

public class DefaultBusinessCalendar
extends AbstractBusinessCalendar

A default implementation of the `AbstractBusinessCalendar` class. It is said to be default because it provides a default implementation of the method `isHoliday(Calendar)`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class webcab.lib.calendar.AbstractBusinessCalendar
`DAYS_IN_A_WEEK, MILLISECONDS_IN_A_DAY, MILLISECONDS_IN_A_HOUR, MILLISECONDS_IN_A_MINUTE, MILLISECONDS_IN_A_SECOND`

Method Summary
`static DefaultBusinessCalendar` `getInstance()` Returns an instance of the `DefaultBusinessCalendar`.
`boolean` `isHoliday(Calendar date)` Returns `true` if the specified date `calendar` is a working day.

Methods inherited from class webcab.lib.calendar.AbstractBusinessCalendar
`checkDayOfWeek, checkOrder, daysBetween, daysBetweenAsPercentAtYear, daysOfWeekBetween, getName, isHoliday, isWorkingDay, nextHoliday, nextPaymentDate, nextWorkingDay, previousPaymentDate, workingDaysBetween, yearsBetween`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DefaultBusinessCalendar getInstance()

  Returns an instance of the `DefaultBusinessCalendar`.

  Returns:
    an instance of the `DefaultBusinessCalendar`

### isHoliday

    public boolean isHoliday(Calendar date)

  Returns `true` if the specified date `calendar` is a working day.

  Specified by:
    `isHoliday` in class `AbstractBusinessCalendar`
  Parameters:
    `date` - the date to check
  Returns:
    `true` if the specified date `calendar` is a working day, `false` otherwise
  See Also:
    `BusinessCalendar.isHoliday(Date)`, `AbstractBusinessCalendar.isWorkingDay(Date)`, `BusinessCalendar.isHoliday(Date)`

WebCab Options and Futures Demo v2.5 (J2SE Edition)